Package org.opensaml.saml.saml1.core.impl

# Class RequestAbstractTypeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller
org.opensaml.saml.saml1.core.impl.RequestAbstractTypeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `RequestUnmarshaller`

public abstract class RequestAbstractTypeUnmarshaller extends AbstractSAMLObjectUnmarshaller
A thread safe Unmarshaller for `RequestAbstractType` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`RequestAbstractTypeUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.
`protected void`
`processChildElement(XMLObject parentObject, XMLObject childObject)`
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject.
`XMLObject`
`unmarshall(Element domElement)`
Unmarshalls the given W3C DOM element into a XMLObject.

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller

`parseSAMLVersion`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### RequestAbstractTypeUnmarshaller

public RequestAbstractTypeUnmarshaller()

## Method Details

### unmarshall

@Nonnull public XMLObject unmarshall(@Nonnull Element domElement) throws UnmarshallingException
Unmarshalls the given W3C DOM element into a XMLObject.

Specified by:
  `unmarshall` in interface `Unmarshaller`
Overrides:
  `unmarshall` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `domElement` - the DOM Element
Returns:
  the unmarshalled XMLObject
Throws:
  `UnmarshallingException` - thrown if an error occurs unmarshalling the DOM element into the XMLObject

### processChildElement

protected void processChildElement(@Nonnull XMLObject parentObject, @Nonnull XMLObject childObject) throws UnmarshallingException
Called after a child element has been unmarshalled so that it can be added to the parent XMLObject. The default implementation of this method is a no-op.

Overrides:
  `processChildElement` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `parentObject` - the parent XMLObject
  `childObject` - the child XMLObject
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the child to the parent

### processAttribute

protected void processAttribute(@Nonnull XMLObject xmlObject, @Nonnull Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `AbstractXMLObjectUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject